Subject: [Sip] Expires in 2xx response to SUBSCRIBE (Events-04)

From: [email-masked]
Date: Thu, 28 Feb 2002 13:20:44 +0200

After a discussion with Robert Sparks here on the list about what an Expires header actually means in a 200 response for a REGISTER. It was concluded that it has no meaning.

So, the following extract from section 4.1.6.1 in the events draft is wrong:

The "Expires" values present in SUBSCRIBE 200-class responses behave in
the same way as they do in REGISTER responses: the server MAY shorten
the interval, but MUST NOT lengthen it.

REGISTER responses now rely on expires-param in a Contact header.

Below is an extract of the discussion Sparks and I had:

>>Yes - the Expires header field in a 200 response to a REGISTER request is
>>allowed. It also has no meaning with respect to the Contacts in
>>the response
>>since each provided Contact MUST contain an ;expires= parameter.
>>(Note to casual readers - this is a statement about the _response_, not
>>  the REGISTER request)
>>
>>So - help me understand your original question. Is it "why don't you allow
>>the "use the expires parameter if present, otherwise use the
>>Expires header
>>value in REGISTER responses like you do in REGISTER requests?".
>>
> 
> Yes, that was exactly what I asked. If its not so, what does an Expires
> header in a 200 OK for a REGISTER mean?

As I note above, with the current text an Expire header field has no meaning
if it appears in a 200 response to a REGISTER request.

So?

Regards,
Hisham Khartabil

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip